---

stages:
  - local-smoke-tests-stage
  - local-coverage-tests-stage

# In this test, the script should return 0
.local_test_buildah_build_images_0A:
  variables:
    # Vars required by smoke/coverage test templates
    LOCAL_PIPELINE_NAME: buildah
    LOCAL_PIPELINE_VERSION: 4
    LOCAL_ENTRYPOINT_SCRIPT: buildah-build-images.sh
    LOCAL_BASH_BIN: /usr/bin/bash
    LOCAL_RC: 0
    # Vars required for individual test case
    DL_BUILDAH_DOCKERFILE: buildah/4/test/fixtures/buildah-build-images/0A/Dockerfile
    DL_BUILDAH_TAG: latest
    DL_BUILDAH_TARGET: local-target

local_smoke_test_buildah_build_images_0A:
  extends:
    - .local_image_smoke_test
    - .local_test_buildah_build_images_0A
  needs: ["local_buildah_final_image"]
  variables:
    LOCAL_TARGET: buildah-final

local_coverage_test_buildah_build_images_0A:
  extends:
    - .local_image_coverage_test
    - .local_test_buildah_build_images_0A
  needs: ["local_buildah_tester_image"]
  variables:
    LOCAL_TARGET: buildah-tester

# In this test, the script should return 8
.local_test_buildah_build_images_8A:
  variables:
    # Vars required by smoke/coverage test templates
    LOCAL_PIPELINE_NAME: buildah
    LOCAL_PIPELINE_VERSION: 4
    LOCAL_ENTRYPOINT_SCRIPT: buildah-build-images.sh
    LOCAL_BASH_BIN: /usr/bin/bash
    LOCAL_RC: 8
    # Vars required for individual test case
    DL_BUILDAH_DOCKERFILE: buildah/4/test/fixtures/buildah-build-images/8A/Dockerfile
    DL_BUILDAH_TAG: latest
    DL_BUILDAH_TARGET: notvalid-target

local_smoke_test_buildah_build_images_8A:
  extends:
    - .local_image_smoke_test
    - .local_test_buildah_build_images_8A
  needs: ["local_buildah_final_image"]
  variables:
    LOCAL_TARGET: buildah-final

local_coverage_test_buildah_build_images_8A:
  extends:
    - .local_image_coverage_test
    - .local_test_buildah_build_images_8A
  needs: ["local_buildah_tester_image"]
  variables:
    LOCAL_TARGET: buildah-tester

...
